package com.trade.service.tradingplatform.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.dto.BaseSearch;

import java.util.Date;

public class TradingPlatformSearchDto extends BaseSearch {
    /**
     * 贸易平台名称
     */
    private String platformName;
    /**
     * 贸易平台编码
     */
    private String platformCode;
    /**
     * 所属地区，枚举：district_code
     */
    private String districtCode;
    /**
     * 是否拥有中信保保单，枚举：sys_yes_no
     */
    private String hasSinosureInsurance;

    /**
     * 是否具备进出口资质，枚举：sys_yes_no
     */
    private String hasImportExportQualification;
    /**
     * 是否具备代理出口资质，枚举：sys_yes_no
     */
    private String hasExportAgentQualify;
    /**
     * 注册开始时间 yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateStartDate;

    /**
     * 注册结束始时间 yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateEndDate;

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public String getPlatformCode() {
        return platformCode;
    }

    public void setPlatformCode(String platformCode) {
        this.platformCode = platformCode;
    }

    public String getDistrictCode() {
        return districtCode;
    }

    public void setDistrictCode(String districtCode) {
        this.districtCode = districtCode;
    }

    public String getHasSinosureInsurance() {
        return hasSinosureInsurance;
    }

    public void setHasSinosureInsurance(String hasSinosureInsurance) {
        this.hasSinosureInsurance = hasSinosureInsurance;
    }

    public String getHasImportExportQualification() {
        return hasImportExportQualification;
    }

    public void setHasImportExportQualification(String hasImportExportQualification) {
        this.hasImportExportQualification = hasImportExportQualification;
    }

    public String getHasExportAgentQualify() {
        return hasExportAgentQualify;
    }

    public void setHasExportAgentQualify(String hasExportAgentQualify) {
        this.hasExportAgentQualify = hasExportAgentQualify;
    }

    public Date getUpdateStartDate() {
        return updateStartDate;
    }

    public void setUpdateStartDate(Date updateStartDate) {
        this.updateStartDate = updateStartDate;
    }

    public Date getUpdateEndDate() {
        return updateEndDate;
    }

    public void setUpdateEndDate(Date updateEndDate) {
        this.updateEndDate = updateEndDate;
    }
}
